# Poco

# class Bugcheck

Library: Foundation
Package: Core
Header: Poco/Bugcheck.h

## Description

This class provides some static methods that are used by the poco_assert_dbg(), poco_assert(), poco_check_ptr() and poco_bugcheck() macros. You should not invoke these methods directly. Use the macros instead, as they automatically provide useful context information.

## Member Summary

Member Functions: assertion, bugcheck, debugger, nullPointer, what

## Member Functions

### assertion

static void assertion(
const char * cond,
const char * file,
int line
);

An assertion failed. Break into the debugger, if possible, then throw an AssertionViolationException.

### bugcheck

static void bugcheck(
const char * file,
int line
);

An internal error was encountered. Break into the debugger, if possible, then throw an BugcheckException.

### bugcheck

static void bugcheck(
const char * msg,
const char * file,
int line
);

An internal error was encountered. Break into the debugger, if possible, then throw an BugcheckException.

### debugger

static void debugger(
const char * file,
int line
);

An internal error was encountered. Break into the debugger, if possible.

### debugger

static void debugger(
const char * msg,
const char * file,
int line
);

An internal error was encountered. Break into the debugger, if possible.

### nullPointer

static void nullPointer(
const char * ptr,
const char * file,
int line
);

An null pointer was encountered. Break into the debugger, if possible, then throw an NullPointerException.

### what

static std::string what(
const char * msg,
const char * file,
int line
);